/* RTL (Arabic and Hebrew) specials */

.dir-rtl{
  direction: rtl;
}

.dir-ltr{
  direction: ltr;
}

.dir-rtl h1, .dir-rtl h2, .dir-rtl h3{
  text-align: right !important;
}

.dir-rtl #menu-modules-wrapper{
  left: 0;
	right: auto;
}

.dir-rtl #menu-modules{
	left: -300px;
	right: auto;
}

.dir-rtl header #header-menu-audiobutton,
.dir-rtl header #header-menu-modulesbutton{
	float: left;
	background-position: right;
}

.dir-rtl header #header-hat{
	right: 5px;
	left: auto;
}

.dir-rtl header #header-menu{
	left: 20px;
	right: auto;
}

.dir-rtl header #header-title {
    margin: 0 100px 0 20px;
}

.dir-rtl .menu-modules-close-button{
	left: 20px;
	right: auto;
}

.dir-rtl #menu-modules{
	box-shadow: -6px 0 1px 0 rgba(0, 0, 0, 0.2) inset;
}

.dir-rtl #pages #pages-navigator a.page-nav-left,
.dir-rtl #pages #pages-navigator a.page-nav-right,
.dir-rtl #pages #pages-navigator div.page-nav-current{
  float: right;
}

.dir-rtl #pages #pages-navigator a.page-nav-left{
  background: url('../img/arrowcircle-white-r.png');
  margin-left: 10px;
  margin-right: 0;
}

.dir-rtl #pages #pages-navigator a.page-nav-right{
  background: url('../img/arrowcircle-white-l.png');
  margin-right: 10px;
	margin-left: 0;
}

.margin0 { margin:0; }
.margin5 { margin:5px; }

.margin-left5 { margin-right:5px; margin-left:auto; }
.margin-right5 { margin-left:5px; margin-right:auto; }
.margin-right5per { margin-left:5%; margin-right:auto; }

.margin-left10 { margin-right:10px; margin-left:auto; }
.margin-right10 { margin-left:10px; margin-right:auto; }

.margin-left15 { margin-right:15px; margin-left:auto; }
.margin-right15 { margin-left:15px; margin-right:auto; }

.margin-left20 { margin-right:20px; margin-left:auto; }
.margin-right20 { margin-left:20px; margin-right:auto; }

.margin-left30 { margin-right:30px; margin-left:auto; }
.margin-right30 { margin-left:30px; margin-right:auto; }

.margin-left40 { margin-right:40px; margin-left:auto; }
.margin-right40 { margin-left:40px; margin-right:auto; }

.margin-left-5 { margin-right:-5px; margin-left:auto; }
.margin-right-5 { margin-left:-5px; margin-right:auto; }

.margin-left-10 { margin-right:-10px; margin-left:auto; }
.margin-right-10 { margin-left:-10px; margin-right:auto; }

.margin-left-20 { margin-right:-20px; margin-left:auto; }
.margin-right-20 { margin-left:-20px; margin-right:auto; }

.margin-left-30 { margin-right:-30px; margin-left:auto; }
.margin-right-30 { margin-left:-30px; margin-right:auto; }

.margin-left-40 { margin-right:-40px; margin-left:auto; }
.margin-right-40 { margin-left:-40px; margin-right:auto; }

/* paddings */

.padding0 { padding:0; }
.padding5 { padding:5px; }
.padding10 { padding:10px; }
.padding15 { padding:15px; }
.padding20 { padding:20px; }

.padding-left5 { padding-right:5px; padding-left:auto; }
.padding-right5 { padding-left:5px; padding-right:auto; }

.padding-left10 { padding-right:10px; padding-left:auto; }
.padding-right10 { padding-left:10px; padding-right:auto; }

.padding-left15 { padding-right:15px; padding-left:auto; }
.padding-right15 { padding-left:15px; padding-right:auto; }

.padding-left20 { padding-right:20px; padding-left:auto; }
.padding-right20 { padding-left:20px; padding-right:auto; }

.padding-left30 { padding-right:30px; padding-left:auto; }
.padding-right30 { padding-left:30px; padding-right:auto; }


.dir-rtl .float, .dir-rtl .left{
  float: right !important;
}

.dir-rtl .right{
  float: left !important;
}

.dir-rtl .float-nortl, .dir-rtl .left-nortl{
  float: left !important;
}

.dir-rtl .right-nortl{
  float: right !important;
}

.left-text{
  text-align:right !important;
}

.right-text{
  text-align:left !important;
}

.left-text-preserve{
  text-align:left !important;
}

.right-text-preserve{
  text-align:right !important;
}

.dir-rtl #pages a.page-number,
.dir-rtl #pages a.page-number:hover,
.dir-rtl #pages a.page-number:link
.dir-rtl #pages a.page-number:active{
  float: right;
}

.dir-rtl .col1-19, .dir-rtl .col2-19, .dir-rtl .col3-19, .dir-rtl .col4-19, .dir-rtl .col5-19, .dir-rtl .col6-19, .dir-rtl .col7-19, .dir-rtl .col8-19, .dir-rtl .col9-19, .dir-rtl .col10-19, .dir-rtl .col11-19, .dir-rtl .col12-19, .dir-rtl .col13-19, .dir-rtl .col14-19, .dir-rtl .col15-19, .dir-rtl .col16-19, .dir-rtl .col17-19, .dir-rtl .col18-19, .dir-rtl .col19-19{
  float: right;
}

.dir-rtl .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-blue-right.png') no-repeat; 
}
.dir-rtl.theme-green .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-green-right.png') no-repeat; 
}
.dir-rtl.theme-purple .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-purple-right.png') no-repeat; 
}
.dir-rtl.theme-pink .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-pink-right.png') no-repeat; 
}
.dir-rtl.theme-yellow .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-yellow-right.png') no-repeat; 
}
.dir-rtl.theme-orange .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-orange-right.png') no-repeat; 
}
.dir-rtl.theme-turquoise .arrow-rtl.arrow-blue-left{
  background: url('../img/arrow-turquoise-right.png') no-repeat; 
}

.dir-rtl .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-blue-left.png') no-repeat; 
}
.dir-rtl.theme-green .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-green-left.png') no-repeat; 
}
.dir-rtl.theme-purple .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-purple-left.png') no-repeat; 
}
.dir-rtl.theme-pink .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-pink-left.png') no-repeat; 
}
.dir-rtl.theme-yellow .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-yellow-left.png') no-repeat; 
}
.dir-rtl.theme-orange .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-orange-left.png') no-repeat; 
}
.dir-rtl.theme-turquoise .arrow-rtl.arrow-blue-right{
  background: url('../img/arrow-turquoise-left.png') no-repeat; 
}

.dir-rtl .arrow-rtl.arrow-dot-right{
  background: url('../img/arrow-dot-left.png') no-repeat;
}

.dir-rtl .arrow-rtl.arrow-dot-left{
  background: url('../img/arrow-dot-right.png') no-repeat;
}

.dir-rtl .line-blue-curve-l{
  background: url('../img/line-blue-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-green .line-blue-curve-l{
  background: url('../img/line-green-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-purple .line-blue-curve-l{
  background: url('../img/line-purple-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-pink .line-blue-curve-l{
  background: url('../img/line-pink-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-yellow .line-blue-curve-l{
  background: url('../img/line-yellow-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-orange .line-blue-curve-l{
  background: url('../img/line-orange-curve-r.png') no-repeat left top; 
}
.dir-rtl .theme-turquoise .line-blue-curve-l{
  background: url('../img/line-turquoise-curve-r.png') no-repeat left top; 
}

.dir-rtl .line-blue-curve-r{
  background: url('../img/line-blue-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-green .line-blue-curve-r{
  background: url('../img/line-green-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-purple .line-blue-curve-r{
  background: url('../img/line-purple-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-pink .line-blue-curve-r{
  background: url('../img/line-pink-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-yellow .line-blue-curve-r{
  background: url('../img/line-yellow-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-orange .line-blue-curve-r{
  background: url('../img/line-orange-curve-l.png') no-repeat right top;
}
.dir-rtl .theme-turquoise .line-blue-curve-r{
  background: url('../img/line-turquoise-curve-l.png') no-repeat right top;
}

.line-blue-curve-l-up-big{
  background: url('../img/line-blue-curve-r-up-big.png') no-repeat left top; 
}

.line-blue-curve-r-up-big{
  background: url('../img/line-blue-curve-l-up-big.png') no-repeat left top; 
}

.dir-rtl .left-indicator{
  background: url('../img/divider1.png') repeat-y left top;
  margin-right: 0;
  margin-left: 10px;
}

.dir-rtl .right-indicator{
  background: url('../img/divider1.png') repeat-y right top;
  margin-left: 0;
  padding-left: 0;
  margin-right: 10px;
  padding-right: 10px;
}

.dir-rtl .button-box-s{
  text-align: right;
}

.dir-rtl .ft-title{
  text-align: right;
}

.dir-rtl .d-nest-hint{
  text-align: right;
}

.dir-rtl #right-block{
  padding:20px 20px 0 0;
}

.dir-rtl .graph_line_canvas{
  text-align: left;
}

.dir-rtl #pages .pages-dot-sep{
  float: right;
}


.dir-rtl .border-solid-right-inset{
  -webkit-box-shadow: inset 1px 0px 0px 0px #777;
  -moz-box-shadow: inset 1px 0px 0px 0px #777;
  box-shadow: inset 1px 0px 0px 0px #777;
}

.dir-rtl .border-solid-left-inset{
  -webkit-box-shadow: inset -1px 0px 0px 0px #777;
  -moz-box-shadow: inset -1px 0px 0px 0px #777;
  box-shadow: inset -1px 0px 0px 0px #777;
}

.dir-rtl .border-dotted-left{
  border-left: auto;
  border-right: dotted 1px #777;
}

.dir-rtl .anim-process-arrow{
  left: 0;
  right: auto;
}

.dir-rtl .pointer-right-blue{ background: url('../img/pointer-left-blue.png'); }
.dir-rtl .pointer-right-pink{ background: url('../img/pointer-left-pink.png'); }
.dir-rtl .pointer-right-green{ background: url('../img/pointer-left-green.png'); }
.dir-rtl .pointer-right-purple{ background: url('../img/pointer-left-purple.png'); }

.dir-rtl .paperscroll-middle{
	margin-right: 33px;
	margin-left: auto;
}

.dir-rtl .absolute-preservedir{
	direction: ltr !important;
}